<?php
/**
 * Intreface DAO
 *
 * @author: http://phpdao.com
 * @date: 2014-09-07 16:06
 */
interface MMaintenancereceiptfinishDAO{

	/**
	 * Get Domain object by primry key
	 *
	 * @param String $id primary key
	 * @Return MMaintenancereceiptfinish 
	 */
	public function load($id);

	/**
	 * Get all records from table
	 */
	public function queryAll();
	
	/**
	 * Get all records from table ordered by field
	 * @Param $orderColumn column name
	 */
	public function queryAllOrderBy($orderColumn);
	
	/**
 	 * Delete record from table
 	 * @param mMaintenancereceiptfinish primary key
 	 */
	public function delete($maintenanceReceiptFinishId);
	
	/**
 	 * Insert record to table
 	 *
 	 * @param MMaintenancereceiptfinish mMaintenancereceiptfinish
 	 */
	public function insert($mMaintenancereceiptfinish);
	
	/**
 	 * Update record in table
 	 *
 	 * @param MMaintenancereceiptfinish mMaintenancereceiptfinish
 	 */
	public function update($mMaintenancereceiptfinish);	

	/**
	 * Delete all rows
	 */
	public function clean();

	public function queryByMaintenanceReceiptId($value);

	public function queryByFinishingPayedId($value);

	public function queryByPayed($value);

	public function queryByRemain($value);

	public function queryByMaintenanceReceiptFinishDate($value);

	public function queryByUserId($value);

	public function queryByBranchId($value);

	public function queryByDel($value);


	public function deleteByMaintenanceReceiptId($value);

	public function deleteByFinishingPayedId($value);

	public function deleteByPayed($value);

	public function deleteByRemain($value);

	public function deleteByMaintenanceReceiptFinishDate($value);

	public function deleteByUserId($value);

	public function deleteByBranchId($value);

	public function deleteByDel($value);


}
?>